|  | Home |

# Status Class Reference
(QMailServiceAction::Status)

The Status class encapsulates the instantaneous state of a QMailServiceAction. More...

This class is under development and is subject to change.

- List of all members, including inherited members

## Public Types

enum | ErrorCode { ErrNoError, ErrNotImplemented, ErrFrameworkFault, ErrSystemError, ..., ErrorCodeMaximum }

## Public Functions

| Status ()
| Status ( ErrorCode c, const QString & t, const QMailAccountId & a, const QMailFolderId & f, const QMailMessageId & m )
| Status ( const Status & other )

## Public Variables

QMailAccountId | accountId
ErrorCode | errorCode
QMailFolderId | folderId
QMailMessageId | messageId
QString | text

## Detailed Description

The Status class encapsulates the instantaneous state of a QMailServiceAction.

QMailServiceAction::Status contains the pieces of information that describe the state of a requested action. The errorCode reflects the overall state, and may be supplemented by a description in text.

If errorCode is not equal to ErrNoError, then each of accountId, folderId and messageId may have been set to a valid identifier, if pertinent to the situation.

## Member Type Documentation

### enum Status::ErrorCode

This enum type is used to identify common error conditions encountered when implementing service actions.

Constant | Value | Description
--- | --- | ---
`QMailServiceAction::Status::ErrNoError` | `0` | No error was encountered.
`QMailServiceAction::Status::ErrNotImplemented` | `ErrorCodeMinimum` | The requested operation is not implemented by the relevant service component.
`QMailServiceAction::Status::ErrFrameworkFault` | ? | A fault in the messaging framework prevented the execution of the request.
`QMailServiceAction::Status::ErrSystemError` | ? | A system-level error prevented the execution of the request.
`QMailServiceAction::Status::ErrCancel` | ? | The operation was cancelled by user intervention.
`QMailServiceAction::Status::ErrConfiguration` | ? | The configuration needed for the requested action is invalid.
`QMailServiceAction::Status::ErrNoConnection` | ? | A connection could not be established to the external service.
`QMailServiceAction::Status::ErrConnectionInUse` | ? | The connection to the external service is exclusively held by another user.
`QMailServiceAction::Status::ErrConnectionNotReady` | ? | The connection to the external service is not ready for operation.
`QMailServiceAction::Status::ErrUnknownResponse` | ? | The response from the external service could not be handled.
`QMailServiceAction::Status::ErrLoginFailed` | ? | The external service did not accept the supplied authentication details.
`QMailServiceAction::Status::ErrFileSystemFull` | ? | The action could not be performed due to insufficient storage space.
`QMailServiceAction::Status::ErrNonexistentMessage` | ? | The specified message does not exist.
`QMailServiceAction::Status::ErrEnqueueFailed` | ? | The specified message could not be enqueued for transmission.
`QMailServiceAction::Status::ErrInvalidAddress` | ? | The specified address is invalid for the requested action.
`QMailServiceAction::Status::ErrInvalidData` | ? | The supplied data is inappropriate for the requested action.
`QMailServiceAction::Status::ErrTimeout` | ? | The service failed to report any activity for an extended period.
`QMailServiceAction::Status::ErrInternalStateReset` | ? | The service was reset due to state change, such as an external process modifying the owner account.
`QMailServiceAction::Status::ErrorCodeMinimum` | `1024` | The lowest value of any error condition code.
`QMailServiceAction::Status::ErrorCodeMaximum` | `ErrInternalStateReset` | The highest value of any error condition code.

## Member Function Documentation

### Status::Status ()

Constructs a status object with errorCode set to ErrNoError.

### Status::Status ( ErrorCode c, const QString & t, const QMailAccountId & a, const QMailFolderId & f, const QMailMessageId & m )

Constructs a status object with errorCode set to c, text set to t, accountId set to a, folderId set to f and messageId set to m.

### Status::Status ( const Status & other )

Constructs a status object which is a copy of other.

## Member Variable Documentation

### QMailAccountId Status::accountId

If relevant to the errorCode, contains the ID of the associated account.

### ErrorCode Status::errorCode

Describes the error condition encountered by the action.

### QMailFolderId Status::folderId

If relevant to the errorCode, contains the ID of the associated folder.

### QMailMessageId Status::messageId

If relevant to the errorCode, contains the ID of the associated message.

### QString Status::text

Provides a human-readable description of the error condition in errorCode.